[Python-modules-team] Bug#890512: python-munch: Add autopkgtests to python-munch

Corey Bryant corey.bryant at canonical.com
Thu Feb 15 13:13:21 UTC 2018


Package: python-munch
Version: 2.2.0-1
Severity: normal
Tags: patch
User: ubuntu-devel at lists.ubuntu.com
Usertags: origin-ubuntu bionic ubuntu-patch

Dear Maintainer,

In Ubuntu, the attached patch was applied to achieve the following:

  * d/tests: Add basic autopkgtests to test module imports.


Thanks for considering the patch.


-- System Information:
Debian Release: buster/sid
  APT prefers bionic
  APT policy: (500, 'bionic'), (500, 'artful-updates')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.13.0-32-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled
-------------- next part --------------
diff -Nru python-munch-2.2.0/debian/tests/control python-munch-2.2.0/debian/tests/control
--- python-munch-2.2.0/debian/tests/control	1969-12-31 19:00:00.000000000 -0500
+++ python-munch-2.2.0/debian/tests/control	2018-02-14 15:14:07.000000000 -0500
@@ -0,0 +1,3 @@
+Tests: python-munch python3-munch
+Depends: python-munch, python3-munch
+Restrictions: needs-root
diff -Nru python-munch-2.2.0/debian/tests/python3-munch python-munch-2.2.0/debian/tests/python3-munch
--- python-munch-2.2.0/debian/tests/python3-munch	1969-12-31 19:00:00.000000000 -0500
+++ python-munch-2.2.0/debian/tests/python3-munch	2018-02-14 15:14:07.000000000 -0500
@@ -0,0 +1,14 @@
+#!/bin/bash
+#-------------------------
+# Testing python3-munch
+#-------------------------
+set -e
+
+result=$(python3 `dirname $0`/test_import_munch.py 2>&1)
+if [ "$result" ]; then
+    echo "ERROR: PYTHON3-MUNCH MODULE CANNOT BE IMPORTED"
+    exit 1
+else
+    echo "OK"
+    exit 0
+fi
diff -Nru python-munch-2.2.0/debian/tests/python-munch python-munch-2.2.0/debian/tests/python-munch
--- python-munch-2.2.0/debian/tests/python-munch	1969-12-31 19:00:00.000000000 -0500
+++ python-munch-2.2.0/debian/tests/python-munch	2018-02-14 15:14:07.000000000 -0500
@@ -0,0 +1,14 @@
+#!/bin/bash
+#-------------------------
+# Testing python-munch
+#-------------------------
+set -e
+
+result=$(python2 `dirname $0`/test_import_munch.py 2>&1)
+if [ "$result" ]; then
+    echo "ERROR: PYTHON-MUNCH MODULE CANNOT BE IMPORTED"
+    exit 1
+else
+    echo "OK"
+    exit 0
+fi
diff -Nru python-munch-2.2.0/debian/tests/test_import_munch.py python-munch-2.2.0/debian/tests/test_import_munch.py
--- python-munch-2.2.0/debian/tests/test_import_munch.py	1969-12-31 19:00:00.000000000 -0500
+++ python-munch-2.2.0/debian/tests/test_import_munch.py	2018-02-14 15:14:07.000000000 -0500
@@ -0,0 +1,4 @@
+try:
+    import munch
+except ImportError as e:
+    print("ERROR IMPORTING MODULE")


More information about the Python-modules-team mailing list